CHS_GET_VALUE(3)

FUNCTION
chs_get_value - Scan a channel object for a whitespace separated value.

SYNOPSIS
#include <karma_chs.h>

unsigned int chs_get_value

(Channel channel, char *string, unsigned int length)

DESCRIPTION
Scan a channel object for a whitespace separated value.

channel
    The channel to read from.

string
    The routine will write the value here.

length
    The size of the buffer (in bytes).

RETURN VALUE
The length of the string scanned on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/